
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>[LeetCode]55.Jump Game / 憋错料</title>

    <meta name="description" content="[LeetCode]55.Jump Game 题目 Given an array of non-negative integers, you are initially positioned at the first index of the array. Each element in the array represents your maximum jump length at that position. Determine if you are able to reach the last index. For example:">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">[LeetCode]55.Jump Game</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>题目</strong></p>
<p>Given an array of non-negative integers, you are initially positioned at the first index of the array.</p>
<p>Each element in the array represents your maximum jump length at that position.</p>
<p>Determine if you are able to reach the last index.</p>
<p>For example:</p>
<p>A = [2,3,1,1,4], return true.</p>
<p>A = [3,2,1,0,4], return false.</p>
<p><strong>思路</strong></p>
<p>用distance记录当前i之前跳的最远距离。如果distance&lt; i，即代表即使再怎么跳跃也不能到达i。当到达i时，A[i]+i，代表从i能跳最远的距离。max(distance,A[i]+i)代表能到达的最远距离。</p>
<p><strong>代码</strong></p>
<pre><code>    /*--------------------------------------------
    *   日期：2014-02-28
    *   作者：SJF0115
    *   题目: 55.Jump Game
    *   网址：https://oj.leetcode.com/problems/jump-game/
    *   结果：AC
    *   来源：LeetCode
    *   博客：
    ------------------------------------------------*/
    #include &lt;iostream&gt;
    #include &lt;vector&gt;
    using namespace std;

    class Solution {
    public:
        bool canJump(int A[], int n) {
            // 记录历史跳最远距离
            int distance = 0;
            for(int i = 0;i &lt; n &amp;&amp; i &lt;= distance;++i){
                // A[i]+i当前跳最远距离 distance为i之前跳最远距离
                distance = max(A[i]+i,distance);
            }//for
            if(distance &lt; n-1){
                return false;
            }//if
            return true;
        }
    };

    int main(){
        Solution solution;
        //int A[] = {3,2,1,0,4};
        //int A[] = {2,3,1,1,4};
        int A[] = {2,3,0,1,4};
        cout&lt;&lt;solution.canJump(A,5)&lt;&lt;endl;
        return 0;
    }
</code></pre>
<p><strong>运行时间</strong></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTAyMjgyMjA4MDI1OTE=.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 16:42:25 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/leetcode/" title="leetcode">leetcode</a>, <a href="https://www.biecuoliao.com/tag/%e7%bb%8f%e5%85%b8%e9%9d%a2%e8%af%95%e9%a2%98/" title="经典面试题">经典面试题</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>[LeetCode]55.Jump Game的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49AoaJ4.html" rel="bookmark">LeetCode 55&period; Jump Game （跳跃游戏）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Given an array of non-negative integers, you are initially positioned at the first index of the array. Each element in the array represents your maximum jump length at that position. Determine if you are able to reach the last index. For example:A = 			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4QN2bLM.html" rel="bookmark">leetcode 55 Jump Game ----- java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Given an array of non-negative integers, you are initially positioned at the first index of the array. Each element in the array represents your maximum jump length at that position. Determine if you are able to reach the last index. For example:A = 			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47a8d10.html" rel="bookmark">LeetCode&colon; 55&period; Jump Game（Medium）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 原题链接 https://leetcode.com/problems/jump-game/description/ 2. 题目要求 给定一个整型数组,数组中没有负数.从第一个元素开始,每个元素的值代表每一次你能从当前位置跳跃的步数.问能否跳到该数组的最后一个元素位置 注意:可以跳的步数超出数组长度依旧视为可以达到最后位置 3. 解题思路 从第一个元素开始遍历,记录下你所能到达的最远位置,例如{2, 2, 0, 1, 2},遍历第一个元素时,你所能到达的最远位置是&quot;i+nums[i]&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3v5PNo0.html" rel="bookmark">&lbrack;Leetcode&rsqb;&lbrack;Python&rsqb;55&colon; Jump Game</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				# -*- coding: utf8 -*-'''__author__ = '[email protected]' 55: Jump Gamehttps://leetcode.com/problems/jump-game/ Given an array of non-negative integers, you are initially positioned at the first index of the array.Each element in the array represents			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/476kWx3.html" rel="bookmark">BFS问题-LeetCode 55、45、5297、127、433、434（BFS）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[LeetCode #55]跳跃游戏 给定一个非负整数数组,你最初位于数组的第一个位置. 数组中的每个元素代表你在该位置可以跳跃的最大长度. 判断你是否能够到达最后一个位置. 示例 1: 输入: [2,3,1,1,4] 输出: true 解释: 我们可以先跳 1 步,从位置 0 到达 位置 1, 然后再从位置 1 跳 3 步到达最后一个位置. class Solution { public: bool canJump(vector&amp; nums) { int maxReach = nums[0];			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lXnWo0.html" rel="bookmark">【LeetCode】Jump Game</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Given an array of non-negative integers, you are initially positioned at the first index of the array. Each element in the array represents your maximum jump length at that position. Determine if you are able to reach the last index. For example:A = 			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoxrQP0.html" rel="bookmark">【LeetCode】Jump Game II</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Given an array of non-negative integers, you are initially positioned at the first index of the array. Each element in the array represents your maximum jump length at that position. Your goal is to reach the last index in the minimum number of jumps			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0RqvbjM.html" rel="bookmark">【LeetCode】Jump Game II 解题报告</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[题目] Given an array of non-negative integers, you are initially positioned at the first index of the array. Each element in the array represents your maximum jump length at that position. Your goal is to reach the last index in the minimum number of			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4A5PvK4.html" rel="bookmark">LeetCode 55&sol;45 Jump Game I&sol;II-----Greedy&ast;&ast;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一:Jump Game 题目: Given an array of non-negative integers, you are initially positioned at the first index of the array. Each element in the array represents your maximum jump length at that position. Determine if you are able to reach the last index.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/v0kgOd0.html" rel="bookmark" class="title">PHP分布式中Redis实现Session</a>
					<div>
						方法一:找到配置文件php.ini,修改为下面内容,保存并重启服务 session.save_handler = redis session.save_path = &quot;tcp://127.0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgLDAp0.html" rel="bookmark" class="title">X3ダイレクトイメージセンサー</a>
					<div>
						イメージセンサーの原材料であるシリコンは.表層部から順に短い波長の光を吸収し.深層部ほど長い波長の光を吸収する特性をもっています. SD1 Merrillに搭載されたX3ダイレクトイメージセンサーは. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RBNOv0.html" rel="bookmark" class="title">表单的提交</a>
					<div>
						HTML代码 将表单中有name属性的表单的值提交到 bigtr.aspx页面 &lt;html&gt; &lt;form action=&quot;bigtr.aspx&quot;&gt; &lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RYL7qM.html" rel="bookmark" class="title">&lbrack;翻译&rsqb; CNPPopupController</a>
					<div>
						CNPPopupController CNPPopupController is a simple and versatile class for presenting a custom popup  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDoRY84.html" rel="bookmark" class="title">HTML 导航框架 （使用 Frame ）</a>
					<div>
						文章出处  :  http://blog.sina.com.cn/s/blog_6f6d07f80100oqlt.html  (本文转自此博客) 在浏览网页时,我们经常会看到一个导航条,当点击导航条上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47D6moM.html" rel="bookmark" class="title">函数mem&lowbar;pool&lowbar;create</a>
					<div>
						/********************************************************************//** Creates a memory pool. @re ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e5ZEg0.html" rel="bookmark" class="title">各类服务器远程管理卡配置</a>
					<div>
						dell 服务器一般开机摁F2选项进入配置页面 曙光 服务器(4合1)一般摁delete键进入配置页面 切换到ipmi选项 将里面的update由no改为yes 再进行ip的更改 更改完之后跳到保存页 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38w2gK0.html" rel="bookmark" class="title">Android之NDK开发</a>
					<div>
						一篇文章: Android之NDK开发 一.NDK产生的背景 Android平台从诞生起,就已经支持C.C++开发.众所周知,Android的SDK基于Java实现,这意味着基于Android SDK ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWDYGG0.html" rel="bookmark" class="title">荣孔邻惺倥e8lfgi84vz</a>
					<div>
						是的,史莱克学院输了,从未输过比赛的史莱克学院输了一小场.但是,史莱克学院的荣耀受到影响了么?绝世唐门78_绝世唐门全文免费阅读_第七十八章 天才食物系魂师?(中)来自138看书网(bxwx.org) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoaqRy3.html" rel="bookmark" class="title">不要瞧不起别人的生活，他人也在用你看不见的方式努力</a>
					<div>
						作者:沈善书 我不知道,城市里的穷在你心中是怎样一个概念?或者,你有没有穷过? 在我看见的,城市里的穷就是父母没文化.无业.打零工,身份要么是外来务工者,要么住在城市里的棚户区.他们领低保,住瓦房.木 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBY5Dv4.html" rel="bookmark" class="title">Centos 6&period;5 下安装socket5代理</a>
					<div>
						---恢复内容开始--- 1. 安装 先安装依赖库 yum -y install gcc gcc-c++ automake make pam-devel openldap-devel cyrus-sa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Q76de0.html" rel="bookmark" class="title">Linux系统的监控命令</a>
					<div>
						这里的标题是系统监控命令,其实还包括一些常用的系统信息查看(不是性能信息),所以本篇文章分为两大块内容: 系统信息类: 这类信息属于静态的,硬件如果不发生变化或者系统不做升级一般不会改变. uname ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41D2VP3.html" rel="bookmark" class="title">FLV视频封装格式详解</a>
					<div>
						Overview Flash Video(简称FLV),是一种流行的网络格式.目前国内外大部分视频分享网站都是采用的这种格式. File Structure 从整个文件上开看,FLV是由The FLV ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wa9NNM.html" rel="bookmark" class="title">vim编辑器最常用按键说明</a>
					<div>
						n代表数字,words代表字符串 1.设置行号:输入 :set nu 2.跳到某行: 输入 nG. 首行1G,尾行G 3.向下删除连续的n行:先跳到要删除的某行,然后输入: ndd 4.向后删除某行的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OyBroM.html" rel="bookmark" class="title">json学习笔记--在JavaScript中的使用</a>
					<div>
						1.字符串转换为JavaScript对象 var txt = '{ &quot;employees&quot; : [' + '{ &quot;firstName&quot;:&quot;John&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzkvpA0.html" rel="bookmark" class="title">art-template引擎模板</a>
					<div>
						art-template简介 artTemplate(后文简称aT)才是模板引擎,而TmodJS(后文简称TJ,曾用名atc)则是依赖于前者的一款模板预编译器.两者都是由腾讯开发.其实aT完全可以独立 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e6Y8g3.html" rel="bookmark" class="title">数字签名算法--3&period;ECDSA</a>
					<div>
						package Imooc; import java.security.KeyFactory; import java.security.KeyPair; import java.security.K ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47opmo4.html" rel="bookmark" class="title">打工一辈子也没有出息</a>
					<div>
						此文源于:www.ccctuan.cominA励志名言名人大全_励志歌曲电影排行_经典语录小故事 如今社会,打工的越来越多,90后比80后多,80后比70后多!是社会进步了还是退了!应该跟时间一样进了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0baRXvM.html" rel="bookmark" class="title">环球夫人形象大使龚华 受邀出席戛纳电影节闭幕式</a>
					<div>
						戛纳电影节已经进程过半,世界名流云集于此,你来我往好不热闹.昨天,小编同大家一起欣赏了华人女星在戛纳红毯上的风姿.今天,小编还要与大家分享一条十分令人欣喜的消息:5月21号我们的环球夫人龚华成为首位受 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MX1QLQ0.html" rel="bookmark" class="title">自动生成宣传单打印页--提高工作效率</a>
					<div>
						公司每次搞促销活动都需要制作大量的单品宣传单页,如果靠美工手动去做,需要大量的时间,最近刚刚更新了公司商城首页,不是很忙,就琢磨着开发一个自动生成宣传单页的功能,于是所做就做,流程如下: 1.使用的是 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
